post
https://{defaultHost}/api/v4/campaigns//start
Starts the specified dialer campaign.
The Start campaign endpoint starts the specified Dialer campaign.
Requirements: Base URL, Authentication, Error codes
Scope: campaigns.manage
What this does
When you send a Start campaign request with a campaign ID,
Voiso
starts the campaign and returns the updated campaign object.
Endpoint
POST /api/v4/campaigns/{campaign_id}/start
Path parameters
- campaign_id
The unique identifier of the campaign.
Related endpoints
- Get a campaign ID: Get list of campaigns
- Check current campaign status: Get campaign
Example request
curl -X POST "https://{cluster_id}.voiso.com/api/v4/campaigns/3/start" \
-H "Authorization: Bearer <contact_center_api_key>" \
-H "Content-Type: application/json"Response
If successful, the API returns a campaign object (not wrapped).
{
"id": 3,
"name": "Summer Outreach Campaign",
"status": "active",
"strategy": "simple",
"dial_level": 1
}Campaign fields are defined in the Campaign schema.
Troubleshooting
401 Unauthorized
Returned if the API key is missing or invalid.
403 Forbidden
Returned if the API key does not have access to Campaigns resources.
404 Not found
Returned if the campaign ID does not exist or is not accessible.
409 Conflict
Returned when the request conflicts with the current state of the campaign.
429 Too many requests
Returned if requests are rate limited.